from bot_api.exception.service_error_code_enum import ServiceErrorCode


class ServiceException(Exception):

    def __init__(self, error_code: ServiceErrorCode, message: str, *args):
        Exception.__init__(self, *args)

        self.error_code = error_code
        self.message = message

    def get_detailed_message(self) -> str:
        return f'ServiceException - ErrorCode: {self.error_code} - ErrorMessage: {self.message}'
